diff options
author | Martin Schanzenbach <schanzen@gnunet.org> | 2023-12-19 09:59:52 +0100 |
---|---|---|
committer | Martin Schanzenbach <schanzen@gnunet.org> | 2023-12-19 09:59:52 +0100 |
commit | e5d7d57cf496fa3841e5a4edaa69a393e98bb7f8 (patch) | |
tree | 216f7aff91be48767a331337698131d346c6a1eb | |
parent | d08abc7687dd949247ea512a63460f300612b0c8 (diff) | |
download | gnunet-e5d7d57cf496fa3841e5a4edaa69a393e98bb7f8.tar.gz gnunet-e5d7d57cf496fa3841e5a4edaa69a393e98bb7f8.zip |
build: add meson switch to bootstrap
-rwxr-xr-x | bootstrap | 27 |
1 files changed, 23 insertions, 4 deletions
@@ -75,8 +75,6 @@ check_libtool() | |||
75 | { | 75 | { |
76 | echo "checking for libtoolize / libtool... " | 76 | echo "checking for libtoolize / libtool... " |
77 | 77 | ||
78 | . "scripts/gana_update.sh" || exit 1 | ||
79 | . "scripts/sphinx_update.sh" || exit 1 | ||
80 | if existence libtool || \ | 78 | if existence libtool || \ |
81 | existence libtoolize || \ | 79 | existence libtoolize || \ |
82 | existence glibtoolize || \ | 80 | existence glibtoolize || \ |
@@ -86,7 +84,6 @@ check_libtool() | |||
86 | echo "*** No libtoolize (libtool) or libtool or meson found, please install it ***" >&2; | 84 | echo "*** No libtoolize (libtool) or libtool or meson found, please install it ***" >&2; |
87 | exit 1 | 85 | exit 1 |
88 | fi | 86 | fi |
89 | . "scripts/pogen.sh" || exit 1 | ||
90 | } | 87 | } |
91 | 88 | ||
92 | submodules() | 89 | submodules() |
@@ -111,13 +108,35 @@ install_hooks() | |||
111 | ln -fs $(pwd)/contrib/conf/commit-msg .git/hooks/commit-msg 2> /dev/null | 108 | ln -fs $(pwd)/contrib/conf/commit-msg .git/hooks/commit-msg 2> /dev/null |
112 | } | 109 | } |
113 | 110 | ||
111 | create_handbook() | ||
112 | { | ||
113 | . "scripts/sphinx_update.sh" || exit 1 | ||
114 | } | ||
115 | |||
116 | pogen() | ||
117 | { | ||
118 | . "scripts/pogen.sh" || exit 1 | ||
119 | } | ||
120 | |||
121 | update_gana() | ||
122 | { | ||
123 | . "scripts/gana_update.sh" || exit 1 | ||
124 | } | ||
125 | |||
114 | main() | 126 | main() |
115 | { | 127 | { |
116 | cleanup | 128 | cleanup |
117 | submodules | 129 | submodules |
118 | check_uncrustify | 130 | check_uncrustify |
119 | check_yapf | 131 | check_yapf |
120 | check_libtool | 132 | create_handbook |
133 | update_gana | ||
134 | if [ "$@" = "meson" ]; then | ||
135 | echo "Skipping autoreconf" | ||
136 | else | ||
137 | check_libtool | ||
138 | fi | ||
139 | pogen | ||
121 | install_hooks | 140 | install_hooks |
122 | } | 141 | } |
123 | 142 | ||